/*
***************************************************************************
*   Copyright (C) 2008 Structural Proteomics Group, Max Planck Institute  *
*   for Molecular Genetics, Berlin, Germany                               *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************
*/
package cmview.datasources;

/**
 * Exception to be thrown when the 3D coordinates of a model are required but 
 * cannot be supplied. A pointer to the miss-shaped model is provided.
 */
public class CoordinatesNotFoundError extends Exception {

    private static final long serialVersionUID = 1L;

    Model mod;

    public CoordinatesNotFoundError() {
    }

    public CoordinatesNotFoundError(Model mod) {
	this.mod = mod;
    }

    public CoordinatesNotFoundError(String arg0, Model mod) {
	super(arg0);
	this.mod = mod;
    }

    public CoordinatesNotFoundError(Throwable arg0, Model mod) {
	super(arg0);
	this.mod = mod;
    }

    public CoordinatesNotFoundError(String arg0, Throwable arg1, Model mod) {
	super(arg0, arg1);
	this.mod = mod;
    }
    
    public Model getModel() {
	return mod;
    }
    
    public void setModel(Model mod) {
	this.mod = mod;
    }
}
