/*
***************************************************************************
*   Copyright (C) 2008 Structural Proteomics Group, Max Planck Institute  *
*   for Molecular Genetics, Berlin, Germany                               *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************
*/
package cmview.sadpAdapter;

import cmview.datasources.Model;
import cmview.toolUtils.AlignmentToolResult;

/**
 * @author Lars Petzold
 * 
 * Designed to collect the results of a SADP run.
 */
public class SADPResult extends AlignmentToolResult {
	
	double compTime = 0.0;
	int    numIterations = 0;
	int    numCommonContacts = 0;
	Model  firstOutputModel;
	Model  secondOutputModel;
	String firstName;
	String secondName;
	
	public double getCompTime() {
		return compTime;
	}
	
	public void setCompTime(double compTime) {
		this.compTime = compTime;
	}
	
	public int getNumIterations() {
		return numIterations;
	}
	
	public void setNumIterations(int numIterations) {
		this.numIterations = numIterations;
	}
	
	public int getNumCommonContacts() {
		return numIterations;
	}
	
	public void setNumCommonContacts(int numCommonContacts) {
		this.numCommonContacts = numCommonContacts;
	}
	
	public Model getFirstOutputModel() {
		return firstOutputModel;
	}

	public void setFirstOutputModel(Model mod) {
		this.firstOutputModel = mod;
	}
	
	public Model getSecondOutputModel() {
		return secondOutputModel;
	}
	
	public void setSecondOutputModel(Model mod) {
		this.secondOutputModel = mod;
	}
	
	public String getFirstName() {
		return firstName;
	}
	
	public void setFirstName(String name) {
		this.firstName = name;
	}
	
	public String getSecondName() {
		return secondName;
	}
	
	public void setSecondName(String name) {
		this.secondName = name;
	}
}
