/*
***************************************************************************
*   Copyright (C) 2008 Structural Proteomics Group, Max Planck Institute  *
*   for Molecular Genetics, Berlin, Germany                               *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************
*/
package proteinstructure;

public class AIGEdge {

	private static final double DEFAULT_WEIGHT = 1; 
	private double weight;
	private double distance;
	
	public AIGEdge(double distance) {
		this.weight= DEFAULT_WEIGHT;
		this.distance = distance;
	}
	
	public AIGEdge(double weight, double distance) {
		this.weight = weight;
		this.distance = distance;
	}
	
	public double getWeight() {
		return this.weight;
	}
	
	public double getDistance() {
		return this.distance;
	}

	public AIGEdge copy() {
		return (new AIGEdge(weight, distance));
	}
}
