/*
***************************************************************************
*   Copyright (C) 2008 Structural Proteomics Group, Max Planck Institute  *
*   for Molecular Genetics, Berlin, Germany                               *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************
*/
package proteinstructure;

/**
 * Exception to be thrown whenever the construction of an alignment object 
 * failes due to some malformed data that is not directly connected to some 
 * file format error. The latter shall be notified by specialized file format 
 * error exceptions.
 * 
 * @author Lars Petzold
 */
public class AlignmentConstructionError extends Exception {
    static final long serialVersionUID = 1L;

    public AlignmentConstructionError() {
    }

    public AlignmentConstructionError(String arg0) {
	super(arg0);
    }

    public AlignmentConstructionError(Throwable arg0) {
	super(arg0);
    }

    public AlignmentConstructionError(String arg0, Throwable arg1) {
	super(arg0, arg1);
    }
}
