/*
***************************************************************************
*   Copyright (C) 2008 Structural Proteomics Group, Max Planck Institute  *
*   for Molecular Genetics, Berlin, Germany                               *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************
*/
package proteinstructure;

public class CiffileFormatError extends FileFormatError {

	/**
	 * Exception to be used when parsing a cif file and some formatting error is found
	 */
	private static final long serialVersionUID = 1L;

	public CiffileFormatError() {
	}

	public CiffileFormatError(String arg0) {
		super(arg0);
	}

	public CiffileFormatError(Throwable arg0) {
		super(arg0);
	}

	public CiffileFormatError(String arg0, Throwable arg1) {
		super(arg0, arg1);
	}

	public CiffileFormatError(String arg0, String file, long line ) {
	    super(arg0,file,line);
	}

	public CiffileFormatError(String arg0, Throwable arg1, String file, long line ) {
	    super(arg0,arg1,file,line);
	}

	public CiffileFormatError(String arg0, String file, long startByte, long stopByte ) {
	    super(arg0,file,startByte,stopByte);
	}

	public CiffileFormatError(String arg0, Throwable arg1, String file, long startByte, long stopByte ) {
	    super(arg0,arg1,file,startByte,stopByte);
	}
}
