/*
***************************************************************************
*   Copyright (C) 2008 Structural Proteomics Group, Max Planck Institute  *
*   for Molecular Genetics, Berlin, Germany                               *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************
*/
package proteinstructure;

public class FileFormatError extends Exception {
    static final long serialVersionUID = 1L;

    public FileFormatError() {
    }

    public FileFormatError(String arg0) {
	super(arg0);
    }

    public FileFormatError(Throwable arg0) {
	super(arg0);
    }

    public FileFormatError(String arg0, Throwable arg1) {
	super(arg0, arg1);
    }
    
    public FileFormatError(String arg0, String file, long line ) {
	super(file+"["+line+"]: "+arg0);
    }
    
    public FileFormatError(String arg0, Throwable arg1, String file, long line ) {
	super(file+"["+line+"]: "+arg0, arg1);
    }
    
    public FileFormatError(String arg0, String file, long startByte, long stopByte ) {
	super(file+"["+startByte+"-"+stopByte+"]: "+arg0);
    }
    
    public FileFormatError(String arg0, Throwable arg1, String file, long startByte, long stopByte ) {
	super(file+"["+startByte+"-"+stopByte+"]: "+arg0, arg1);
    }
}
