/*
***************************************************************************
*   Copyright (C) 2008 Structural Proteomics Group, Max Planck Institute  *
*   for Molecular Genetics, Berlin, Germany                               *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU General Public License     *
*   along with this program; if not, write to the                         *
*   Free Software Foundation, Inc.,                                       *
*   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
***************************************************************************
*/
package proteinstructure;

import java.util.HashSet;
import java.util.TreeSet;

import edu.uci.ics.jung.graph.util.Pair;

public class IntPairSet extends HashSet<Pair<Integer>> {

	private static final long serialVersionUID = 1L;

	/**
	 * Gets set of all incident nodes to edges of this edge set.
	 * 
	 * TODO this is a temporary fix to replace getIncidentNodes function in former EdgeSet class
	 * 		where should this go? Should IntPairSet be actually a simple graph (where nodes are ints)?  
	 * @return set of incident nodes 
	 */
	public TreeSet<Integer> getIncidentNodes() {
		TreeSet<Integer> nodes = new TreeSet<Integer>();
		for( Pair<Integer> e : this ) {
			nodes.add(e.getFirst());
			nodes.add(e.getSecond());
		}
		return nodes;
	}
}
